using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace GuidewireSim
{
    /**
     * Carries all information of a collision that occured.
     */
    public struct CollisionPair
    {
        public Transform sphere; //!< The sphere object of the guidewire that was part of the collision.
        public Collision vesselCollider; //!< The blood vessel object that was part of the collision.
        public int sphereID; //!< The ID of the sphere object of the guidewire that was part of the collision.

        public CollisionPair(Transform sphere, Collision vesselCollider, int sphereID)
        {
            this.sphere = sphere;
            this.vesselCollider = vesselCollider;
            this.sphereID = sphereID;
        }
    }
}